# Created by pyp2rpm-3.3.3
%global pypi_name cattrs

%bcond_with docs

Name:           python-%{pypi_name}
Version:        22.2.0
Release:        %mkrel 1
Summary:        Composable complex class support for attrs
Group:          Development/Python
License:        MIT license
URL:            https://github.com/Tinche/cattrs
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
cattrs is an open source Python library for structuring and unstructuring data.
cattrs works best with attrs classes and the usual Python collections, but
other kinds of classes are supported by manually registering converters.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cattrs is an open source Python library for structuring and unstructuring data.
cattrs works best with attrs classes and the usual Python collections, but
other kinds of classes are supported by manually registering converters.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD}/src sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files cattrs cattr

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Fri Jan 20 2023 wally <wally> 22.2.0-1.mga9
+ Revision: 1934470
- new version 22.2.0
- enable %%pyproject_buildrequires

* Fri Oct 28 2022 papoteur <papoteur> 1.10.0-3.mga9
+ Revision: 1899949
- port to pyproject
  remove dependency to bumpversion, not used
  add BR to peotry

* Tue Mar 29 2022 umeabot <umeabot> 1.10.0-2.mga9
+ Revision: 1832929
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.10.0-1.mga9
+ Revision: 1785626
- version 1.10.0
- rebuild for python-3.10

* Fri Jun 25 2021 wally <wally> 1.7.1-1.mga9
+ Revision: 1732294
- new version 1.7.1

* Fri Apr 23 2021 daviddavid <daviddavid> 1.0.0-3.mga9
+ Revision: 1718172
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1541953
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 1.0.0-1.mga8
+ Revision: 1475697
- new version 1.0.0
- imported package python-cattrs

